Bug 52803 - kernel: kernel BUG at page_alloc.c:84!
kernel: kernel BUG at page_alloc.c:84!
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
NO URL
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-29 10:07 EDT by Rob Alfonso
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 23:33:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Alfonso 2001-08-29 10:07:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0b; Windows NT 5.0)

Description of problem:
I installed 7.1 a few weeks ago and it ran ok a few days ago I noticed I 
was offline totally, I checked and I had a Kernal Panic in my logs, all I 
could do is manually reboot, when rebooted it prompted me for my root 
password during boot up to fix corrupt file systems. I gave it my password 
and it said fix file sys1 then two then three, you had to answer yes to 
each one, but all it would do is stream a y up the screen, this is where I 
got upset because I could not boot back into the system as hitting control 
D as it prompted me to do to skip this rebooted totally and started this 
process over again. All of this seems to be a by product of the crash that 
occured that you will see in the logs I have provided. I had to totaly 
reinstall the OS and I lost everything ! This happened again last night 
and again IM up the creek, so have a look and hopefully something can be 
done abou this.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Install RedHat 7.1
2.Install newest version of open ssh RPMs from rpmfind.net
3.scp/ssh remote commands and produce a load on remote system. (This is 
what I was doing when it crashed.)
	

Actual Results:  Kernal Panic and total OS loss.

Expected Results:  Kernal Panic and total OS loss.

Additional info:

The only link that I can see is that I was using ssh to run commands and 
scp files to this machine when this happened, the system has 128 megs of 
ram and runs a pentium II 266 proc. in it, I did see the load was high on 
the processor at the time but no higher than normal peak hours. What 
really bugs me though is there is no way to rescue the OS when this 
happens. Please contact me if you have any questions at all so others 
don't have to go thru this. Below is a cut from the log on the remote 
logging machine. Thank God I was remote logging or we would not have this 
info: The machine in question is "radius" in the logs. If this is hard to 
read in this form please email me and I will forward this log to you as an 
attachment.

Thanks
Rob Alfonso robalfon@mediaone.net

Aug 29 02:05:08 radius kernel: kernel BUG at page_alloc.c:84! 
Aug 29 02:05:08 radius kernel: invalid operand: 0000 
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[__free_pages_ok+75/848] 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c012d07b>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010286 
Aug 29 02:05:08 radius kernel: eax: 0000001f   ebx: c59e9188   ecx: 
00000002   edx: 00000000 
Aug 29 02:05:08 radius kernel: esi: 00000000   edi: c11474dc   ebp: 
00000000   esp: c1245f38 
Aug 29 02:05:08 radius kernel: ds: 0018   es: 0018   ss: 0018 
Aug 29 02:05:08 radius kernel: Process kswapd (pid: 4, stackpage=c1245000) 
Aug 29 02:05:08 radius kernel: Stack: c020ea7b c020ec89 00000054 c0113c31 
00000169 c012c88e 00000000 c11474dc  
Aug 29 02:05:08 radius kernel:        c1147504 c11474dc 00000000 00000000 
c012c375 00000160 00000000 00000004  
Aug 29 02:05:08 radius kernel:        00000000 00000011 00000000 00000707 
00000000 c1244000 c01138b0 00000169  
Aug 29 02:05:08 radius kernel: Call Trace: [error_table+26787/46744] 
[error_table+27313/46744] [schedule+625/944] [free_shortage+30/
144] [page_launder+1541/2432] [process_timeout+0/80] 
[free_shortage+30/144]  
Aug 29 02:05:08 radius kernel: Call Trace: [<c020ea7b>] [<c020ec89>] 
[<c0113c31>] [<c012c88e>] [<c012c375>] [<c01138b0>] [<c012c88e>
]  
Aug 29 02:05:08 radius kernel:        [do_try_to_free_pages+53/128] 
[kswapd+123/288] [empty_bad_page+0/4096] [empty_bad_page+0/4096]
 [kernel_thread+38/48] [kswapd+0/288]  
Aug 29 02:05:08 radius kernel:        [<c012ca85>] [<c012cb4b>] 
[<c0105000>] [<c0105000>] [<c0107596>] [<c012cad0>]  
Aug 29 02:05:08 radius kernel:  
Aug 29 02:05:08 radius kernel: Code: 0f 0b 83 c4 0c 8b 0d ac 0b 2c c0 89 
f8 29 c8 69 c0 f1 f0 f0  
Aug 29 02:05:08 radius kernel: kernel BUG at exit.c:465! 
Aug 29 02:05:08 radius kernel: invalid operand: 0000 
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[do_exit+541/560] 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c0118a3d>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010282 
Aug 29 02:05:08 radius kernel: eax: 0000001a   ebx: 00000000   ecx: 
00000002   edx: 00000000 
Aug 29 02:05:08 radius kernel: esi: c1244000   edi: 0000000b   ebp: 
00000000   esp: c1245e18 
Aug 29 02:05:08 radius kernel: ds: 0018   es: 0018   ss: 0018 
Aug 29 02:05:08 radius kernel: Process kswapd (pid: 4, stackpage=c1245000) 
Aug 29 02:05:08 radius kernel: Stack: c020abbb c020ad12 000001d1 00000000 
c010952a c02031b7 c02032ed c1245f04  
Aug 29 02:05:08 radius kernel:        00000000 c0109770 c01097f1 0000000b 
c1245f04 00000000 c02ddf60 c12b2860  
Aug 29 02:05:08 radius kernel:        00000000 c1245e6c ffffffff c024a3e0 
2000d017 00003834 00000004 00000000  
Aug 29 02:05:08 radius kernel: Call Trace: [error_table+10723/46744] 
[error_table+11066/46744] [die+58/80] [stext_lock+9175/13208] [
stext_lock+9485/13208] [do_invalid_op+0/144] [do_invalid_op+129/144]  
Aug 29 02:05:08 radius kernel: Call Trace: [<c020abbb>] [<c020ad12>] 
[<c010952a>] [<c02031b7>] [<c02032ed>] [<c0109770>] [<c01097f1>
]  
Aug 29 02:05:08 radius kernel:        [llc_oui+3940/4644] 
[__free_pages_ok+75/848] [ide_do_request+659/736] [ide_intr+292/336] [ide_
dma_intr+0/176] [hide_cursor+129/144] [vt_console_print+260/688] 
[error_code+52/60]  
Aug 29 02:05:08 radius kernel:        [<c024a3e0>] [<c012d07b>] 
[<c018a003>] [<c018a474>] [<c0192a90>] [<c017a3c1>] [<c017da04>] [<c
0109138>]  
Aug 29 02:05:08 radius kernel:        [__free_pages_ok+75/848] 
[error_table+26787/46744] [error_table+27313/46744] [schedule+625/944
] [free_shortage+30/144] [page_launder+1541/2432] [process_timeout+0/80] 
[free_shortage+30/144]  
Aug 29 02:05:08 radius kernel:        [<c012d07b>] [<c020ea7b>] 
[<c020ec89>] [<c0113c31>] [<c012c88e>] [<c012c375>] [<c01138b0>] [<c
012c88e>]  
Aug 29 02:05:08 radius kernel:        [do_try_to_free_pages+53/128] 
[kswapd+123/288] [empty_bad_page+0/4096] [empty_bad_page+0/4096]
 [kernel_thread+38/48] [kswapd+0/288]  
Aug 29 02:05:08 radius kernel:        [<c012ca85>] [<c012cb4b>] 
[<c0105000>] [<c0105000>] [<c0107596>] [<c012cad0>]  
Aug 29 02:05:08 radius kernel:  
Aug 29 02:05:08 radius kernel: Code: 0f 0b 83 c4 0c e9 3a fe ff ff 89 f6 
8d bc 27 00 00 00 00 8b  
Aug 29 02:05:08 radius kernel: kernel BUG at exit.c:465! 
Aug 29 02:05:08 radius kernel: invalid operand: 0000 
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[do_exit+541/560] 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c0118a3d>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010286 
Aug 29 02:05:08 radius kernel: eax: 0000001a   ebx: 00000000   ecx: 
00000002   edx: 00000000 
Aug 29 02:05:08 radius kernel: esi: c1244000   edi: 0000000b   ebp: 
00000000   esp: c1245cf8 
Aug 29 02:05:08 radius kernel: ds: 0018   es: 0018   ss: 0018 
Aug 29 02:05:08 radius kernel: Process kswapd (pid: 4, stackpage=c1245000) 
Aug 29 02:05:08 radius kernel: Stack: c020abbb c020ad12 000001d1 00000000 
c010952a c02031b7 c02032ed c1245de4  
Aug 29 02:05:08 radius kernel:        00000000 c0109770 c01097f1 0000000b 
c1245de4 00000000 00000000 c1245d44  
Aug 29 02:05:08 radius kernel:        00000000 c1245d4c ffffffff c024a3e0 
20000001 c1343635 00000004 00000000  
Aug 29 02:05:08 radius kernel: Call Trace: [<c020abbb>] [<c020ad12>] 
[<c010952a>] [<c02031b7>] [<c02032ed>] [<c0109770>] [<c01097f1>
]  
Aug 29 02:05:08 radius kernel:        [die+58/80] [stext_lock+9175/13208] 
[stext_lock+9485/13208] [do_invalid_op+0/144] [do_invalid_
op+129/144] [llc_oui+3940/4644] [__free_pages_ok+75/848] 
[ide_do_request+659/736]  
Aug 29 02:05:08 radius kernel:        [<c010952a>] [<c02031b7>] 
[<c02032ed>] [<c0109770>] [<c01097f1>] [<c024a3e0>] [<c012d07b>] [<c
018a003>]  
Aug 29 02:05:08 radius kernel:        [schedule+625/944] 
[free_shortage+30/144] [page_launder+1541/2432] [process_timeout+0/80] [fre
e_shortage+30/144] [do_try_to_free_pages+53/128] [kswapd+123/288] 
[empty_bad_page+0/4096]  
Aug 29 02:05:08 radius kernel: Code: 0f 0b 83 c4 0c e9 3a fe ff ff 89 f6 
8d bc 27 00 00 00 00 8b  
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[do_exit+541/560] 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c0118a3d>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010282 
Aug 29 02:05:08 radius kernel: esi: c1244000   edi: 0000000b   ebp: 
00000000   esp: c1245bd8 
Aug 29 02:05:08 radius kernel: Stack: c020abbb c020ad12 000001d1 00000018 
c0100018 ffffff0e c0109536 c1245cc4  
Aug 29 02:05:08 radius kernel:        00000000 c0109770 c01097f1 0000000b 
c1245cc4 00000000c88154c3 00000202  
Aug 29 02:05:08 radius kernel:        c8818f40 00000000 00000004 c8818f00 
c73d8000 00000000 00000004 00000000  
Aug 29 02:05:08 radius kernel:        [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4288/96] [via-rhine:__
insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4352/96] 
[do_exit+541/560] [kfree_skbmem+11/96] [__kfree_skb+288/304] [ne
t_tx_action+82/176] [do_softirq+91/128] [do_IRQ+159/176]  
Aug 29 02:05:08 radius kernel:        [<c01090c4>] [<c0109138>] 
[<c0118a3d>] [<c020abbb>] [<c020ad12>] [<c010952a>] [<c02031b7>] [<c
02032ed>]  
Aug 29 02:05:08 radius kernel:        [error_table+10723/46744] 
[error_table+11066/46744] [die+58/80] [stext_lock+9175/13208] [stext
_lock+9485/13208] [do_invalid_op+0/144] [do_invalid_op+129/144] 
[llc_oui+3940/4644]  
Aug 29 02:05:08 radius kernel:        [<c020abbb>] [<c020ad12>] 
[<c010952a>] [<c02031b7>] [<c02032ed>] [<c0109770>] [<c01097f1>] [<c
024a3e0>]  
Aug 29 02:05:08 radius kernel:        [__free_pages_ok+75/848] 
[ide_do_request+659/736] [ide_intr+292/336] [ide_dma_intr+0/176] [hid
e_cursor+129/144] [vt_console_print+260/688] [error_code+52/60] 
[__free_pages_ok+75/848]  
Aug 29 02:05:08 radius kernel:        [<c012d07b>] [<c018a003>] 
[<c018a474>] [<c0192a90>] [<c017a3c1>] [<c017da04>] [<c0109138>] [<c
012d07b>]  
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[do_exit+541/560] 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c0118a3d>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010282 
Aug 29 02:05:08 radius kernel: esi: c1244000   edi: 0000000b   ebp: 
00000000   esp: c1245ab8 
Aug 29 02:05:08 radius kernel: ds: 0018   es: 0018   ss: 0018 
Aug 29 02:05:08 radius kernel: Process kswapd (pid: 4, stackpage=c1245000) 
Aug 29 02:05:08 radius kernel: Stack: c020abbb c020ad12 000001d1 00000018 
c0100018 ffffff0e c0109536 c1245ba4  
Aug 29 02:05:08 radius kernel:        c8818f40 00000000 00000004 c8818f00 
c73d8000 00000000 00000004 00000000  
Aug 29 02:05:08 radius kernel: Call Trace: [<c020abbb>] [<c020ad12>] 
[<c0100018>] [<c0109536>] [<c0109770>] [<c01097f1>] [<c88154c3>
]  
Aug 29 02:05:08 radius kernel:        [<c01090c4>] [<c0109138>] 
[<c0118a3d>] [<c020abbb>] [<c020ad12>] [<c0100018>] [<c0109536>] [<c
0109770>]  
Aug 29 02:05:08 radius kernel:        [<c01097f1>] [<c88154c3>] 
[<c8818f40>] [<c8818f00>] [<c0118a3d>] [<c01b829b>] [<c01b8410>] [<c
01bc042>]  
Aug 29 02:05:08 radius kernel:        [error_code+52/60] [do_exit+541/560] 
[error_table+10723/46744] [error_table+11066/46744] [die+
58/80] [stext_lock+9175/13208] [stext_lock+9485/13208] 
[do_invalid_op+0/144]  
Aug 29 02:05:08 radius kernel:        [<c0109138>] [<c0118a3d>] 
[<c020abbb>] [<c020ad12>] [<c010952a>] [<c02031b7>] [<c02032ed>] [<c
0109770>]  
Aug 29 02:05:08 radius kernel:        [do_invalid_op+129/144] 
[llc_oui+3940/4644] [__free_pages_ok+75/848] [ide_do_request+659/736] 
[ide_intr+292/336] [ide_dma_intr+0/176] [hide_cursor+129/144] 
[vt_console_print+260/688]  
Aug 29 02:05:08 radius kernel:        [free_shortage+30/144] 
[do_try_to_free_pages+53/128] [kswapd+123/288] [empty_bad_page+0/4096] 
[empty_bad_page+0/4096] [kernel_thread+38/48] [kswapd+0/288]  
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c0118a3d>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010286 
Aug 29 02:05:08 radius kernel: ds: 0018   es: 0018   ss: 0018 
Aug 29 02:05:08 radius kernel: Process kswapd (pid: 4, stackpage=c1245000) 
Aug 29 02:05:08 radius kernel: Stack: c020abbb c020ad12 000001d1 00000018 
c0100018 ffffff0e c0109536 c1245a84  
Aug 29 02:05:08 radius kernel:        c8818f40 00000000 00000004 c8818f00 
c73d8000 00000000 00000004 00000000  
Aug 29 02:05:08 radius kernel: Call Trace: [error_table+10723/46744] 
[error_table+11066/46744] [startup_32+24/313] [die+70/80] [do_i
nvalid_op+0/144] [do_invalid_op+129/144] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-19261/96]  
Aug 29 02:05:08 radius kernel:        [<c8818f40>] [<c8818f00>] 
[<c0118a3d>] [<c01b829b>] [<c01b8410>] [<c01bc042>] [<c0119a8b>] [<c
010a4bf>]  
Aug 29 02:05:08 radius kernel:        [<c01097f1>] [<c88154c3>] 
[<c8818f40>] [<c8818f00>] [<c0118a3d>] [<c01b829b>] [<c01b8410>] [<c
01bc042>]  
Aug 29 02:05:08 radius kernel:        [do_softirq+91/128] [do_IRQ+159/176] 
[ret_from_intr+0/32] [error_code+52/60] [do_exit+541/560]
 [error_table+10723/46744] [error_table+11066/46744] [startup_32+24/313]  
Aug 29 02:05:08 radius kernel:        [<c0109536>] [<c0109770>] 
[<c01097f1>] [<c88154c3>] [<c8818f40>] [<c8818f00>] [<c0118a3d>] [<c
01b829b>]  
Aug 29 02:05:08 radius kernel:        [scrup+105/288] [lf+47/96] 
[error_code+52/60] [do_exit+541/560] [error_table+10723/46744] [err
or_table+11066/46744] [die+58/80] [stext_lock+9175/13208]  
Aug 29 02:05:08 radius kernel:        [stext_lock+9485/13208] 
[do_invalid_op+0/144] [do_invalid_op+129/144] [llc_oui+3940/4644] [__f
ree_pages_ok+75/848] [ide_do_request+659/736] [ide_intr+292/336] 
[ide_dma_intr+0/176]  
Aug 29 02:05:08 radius kernel:        [<c02032ed>] [<c0109770>] 
[<c01097f1>] [<c024a3e0>] [<c012d07b>] [<c018a003>] [<c018a474>] [<c
0192a90>]  
Aug 29 02:05:08 radius kernel:        [hide_cursor+129/144] 
[vt_console_print+260/688] [error_code+52/60] [__free_pages_ok+75/848] [
error_table+26787/46744] [error_table+27313/46744] [schedule+625/944] 
[free_shortage+30/144]  
Aug 29 02:05:08 radius kernel:        [<c017a3c1>] [<c017da04>] 
[<c0109138>] [<c012d07b>] [<c020ea7b>] [<c020ec89>] [<c0113c31>] [<c
012c88e>]  
Aug 29 02:05:08 radius kernel:        [page_launder+1541/2432] 
[process_timeout+0/80] [free_shortage+30/144] [do_try_to_free_pages+5
3/128] [kswapd+123/288] [empty_bad_page+0/4096] [empty_bad_page+0/4096] 
[kernel_thread+38/48]  
Aug 29 02:05:08 radius kernel:        [<c012c375>] [<c01138b0>] 
[<c012c88e>] [<c012ca85>] [<c012cb4b>] [<c0105000>] [<c0105000>] [<c
0107596>]  
Aug 29 02:05:08 radius kernel:        [kswapd+0/288]  
Aug 29 02:05:08 radius kernel:        [<c012cad0>]  
Aug 29 02:05:08 radius kernel:  
Aug 29 02:05:08 radius kernel: Code: 0f 0b 83 c4 0c e9 3a fe ff ff 89 f6 
8d bc 27 00 00 00 00 8b  
Aug 29 02:05:08 radius kernel: kernel BUG at exit.c:465! 
Aug 29 02:05:08 radius kernel: invalid operand: 0000 
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[do_exit+541/560] 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c0118a3d>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010282 
Aug 29 02:05:08 radius kernel: ds: 0018   es: 0018   ss: 0018 
Aug 29 02:05:08 radius kernel: Process kswapd (pid: 4, stackpage=c1245000) 
Aug 29 02:05:08 radius kernel: Stack: c020abbb c020ad12 000001d1 00000018 
c0100018 ffffff00 c0109536 c1245964  
Aug 29 02:05:08 radius kernel:        c8818f40 00000000 00000004 c8818f00 
c73d8000 00000000 00000004 00000000  
Aug 29 02:05:08 radius kernel: Call Trace: [error_table+10723/46744] 
[error_table+11066/46744] [startup_32+24/313] [die+70/80] [do_i
nvalid_op+0/144] [do_invalid_op+129/144] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-19261/96]  
Aug 29 02:05:08 radius kernel: Call Trace: [<c020abbb>] [<c020ad12>] 
[<c0100018>] [<c0109536>] [<c0109770>] [<c01097f1>] [<c88154c3>
]  
Aug 29 02:05:08 radius kernel:        [<c8818f40>] [<c8818f00>] 
[<c0118a3d>] [<c01b829b>] [<c01b8410>] [<c01bc042>] [<c0119a8b>] [<c
010a4bf>]  
Aug 29 02:05:08 radius kernel:        [ret_from_intr+0/32] 
[error_code+52/60] [do_exit+541/560] [error_table+10723/46744] [error_tab
le+11066/46744] [startup_32+24/313] [die+70/80] [do_invalid_op+0/144]  
Aug 29 02:05:08 radius kernel:        [do_invalid_op+129/144] [via-
rhine:__insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net
+-19261/96] [via-rhine:__insmod_via-rhine_O/lib/modules/2.4.2-
2/kernel/drivers/net+-4288/96] [via-rhine:__insmod_via-rhine_O/lib/mod
ules/2.4.2-2/kernel/drivers/net+-4352/96] [do_exit+541/560] 
[kfree_skbmem+11/96] [__kfree_skb+288/304] [net_tx_action+82/176]  
Aug 29 02:05:08 radius kernel:        [<c0119a8b>] [<c010a4bf>] 
[<c01090c4>] [<c0109138>] [<c0118a3d>] [<c020abbb>] [<c020ad12>] [<c
0100018>]  
Aug 29 02:05:08 radius kernel:        [die+70/80] [do_invalid_op+0/144] 
[do_invalid_op+129/144] [via-rhine:__insmod_via-rhine_O/lib/
modules/2.4.2-2/kernel/drivers/net+-19261/96] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4288/96] [via-
rhine:__insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-
4352/96] [do_exit+541/560] [kfree_skbmem+11/96]  
Aug 29 02:05:08 radius kernel:        [<c0109536>] [<c0109770>] 
[<c01097f1>] [<c88154c3>] [<c8818f40>] [<c8818f00>] [<c0118a3d>] [<c
01b829b>]  
Aug 29 02:05:08 radius kernel:        [__kfree_skb+288/304] 
[net_tx_action+82/176] [do_softirq+91/128] [do_IRQ+159/176] [ret_from_in
tr+0/32] [error_code+52/60] [do_exit+541/560] [error_table+10723/46744]  
Aug 29 02:05:08 radius kernel:        [<c01b8410>] [<c01bc042>] 
[<c0119a8b>] [<c010a4bf>] [<c01090c4>] [<c0109138>] [<c0118a3d>] [<c
020abbb>]  
Aug 29 02:05:08 radius kernel:        [error_table+11066/46744] 
[startup_32+24/313] [die+70/80] [do_invalid_op+0/144] [do_invalid_op
+129/144] [via-rhine:__insmod_via-rhine_O/lib/modules/2.4.2-
2/kernel/drivers/net+-19261/96] [via-rhine:__insmod_via-rhine_O/lib/modu
les/2.4.2-2/kernel/drivers/net+-4288/96] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4352/96]  
Aug 29 02:05:08 radius kernel:        [<c020ad12>] [<c0100018>] 
[<c0109536>] [<c0109770>] [<c01097f1>] [<c88154c3>] [<c8818f40>] [<c
8818f00>]  
Aug 29 02:05:08 radius kernel:        [do_exit+541/560] 
[kfree_skbmem+11/96] [__kfree_skb+288/304] [net_tx_action+82/176] 
[do_softir
q+91/128] [do_IRQ+159/176] [ret_from_intr+0/32] [error_code+52/60]  
Aug 29 02:05:08 radius kernel:        [<c0118a3d>] [<c01b829b>] 
[<c01b8410>] [<c01bc042>] [<c0119a8b>] [<c010a4bf>] [<c01090c4>] [<c
0109138>]  
Aug 29 02:05:08 radius kernel:        [do_exit+541/560] 
[error_table+10723/46744] [error_table+11066/46744] [die+58/80] 
[stext_lock+
9175/13208] [stext_lock+9485/13208] [do_invalid_op+0/144] 
[do_invalid_op+129/144]  
Aug 29 02:05:08 radius kernel:        [<c0118a3d>] [<c020abbb>] 
[<c020ad12>] [<c010952a>] [<c02031b7>] [<c02032ed>] [<c0109770>] [<c
01097f1>]  
Aug 29 02:05:08 radius kernel:        [llc_oui+3940/4644] 
[do_exit+541/560] [scrup+105/288] [lf+47/96] [error_code+52/60] [do_exit+5
41/560] [error_table+10723/46744] [error_table+11066/46744]  
Aug 29 02:05:08 radius kernel:        [<c024a3e0>] [<c0118a3d>] 
[<c0179839>] [<c017aeef>] [<c0109138>] [<c0118a3d>] [<c020abbb>] [<c
020ad12>]  
Aug 29 02:05:08 radius kernel:        [die+58/80] [stext_lock+9175/13208] 
[stext_lock+9485/13208] [do_invalid_op+0/144] [do_invalid_
op+129/144] [llc_oui+3940/4644] [__free_pages_ok+75/848] 
[ide_do_request+659/736]  
Aug 29 02:05:08 radius kernel:        [<c010952a>] [<c02031b7>] 
[<c02032ed>] [<c0109770>] [<c01097f1>] [<c024a3e0>] [<c012d07b>] [<c
018a003>]  
Aug 29 02:05:08 radius kernel:        [ide_intr+292/336] 
[ide_dma_intr+0/176] [hide_cursor+129/144] [vt_console_print+260/688] [erro
r_code+52/60] [__free_pages_ok+75/848] [error_table+26787/46744] 
[error_table+27313/46744]  
Aug 29 02:05:08 radius kernel:        [<c018a474>] [<c0192a90>] 
[<c017a3c1>] [<c017da04>] [<c0109138>] [<c012d07b>] [<c020ea7b>] [<c
020ec89>]  
Aug 29 02:05:08 radius kernel:        [schedule+625/944] 
[free_shortage+30/144] [page_launder+1541/2432] [process_timeout+0/80] [fre
e_shortage+30/144] [do_try_to_free_pages+53/128] [kswapd+123/288] 
[empty_bad_page+0/4096]  
Aug 29 02:05:08 radius kernel:        [<c0113c31>] [<c012c88e>] 
[<c012c375>] [<c01138b0>] [<c012c88e>] [<c012ca85>] [<c012cb4b>] [<c
0105000>]  
Aug 29 02:05:08 radius kernel:        [empty_bad_page+0/4096] 
[kernel_thread+38/48] [kswapd+0/288]  
Aug 29 02:05:08 radius kernel:        [<c0105000>] [<c0107596>] 
[<c012cad0>]  
Aug 29 02:05:08 radius kernel:  
Aug 29 02:05:08 radius kernel: Code: 0f 0b 83 c4 0c e9 3a fe ff ff 89 f6 
8d bc 27 00 00 00 00 8b  
Aug 29 02:05:08 radius kernel: kernel BUG at exit.c:465! 
Aug 29 02:05:08 radius kernel: invalid operand: 0000 
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c0118a3d>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010286 
Aug 29 02:05:08 radius kernel: eax: 0000001a   ebx: 00000000   ecx: 
c746a000   edx: c02575a4 
Aug 29 02:05:08 radius kernel: ds: 0018   es: 0018   ss: 0018 
Aug 29 02:05:08 radius kernel: Process kswapd (pid: 4, stackpage=c1245000) 
Aug 29 02:05:08 radius kernel:        00000000 c0109770 c01097f1 0000000b 
c1245844 00000000 c88154c3 00000202  
Aug 29 02:05:08 radius kernel:        c8818f40 00000000 00000004 c8818f00 
c73d8000 00000000 00000004 00000000  
Aug 29 02:05:08 radius kernel:        [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-19261/96] [via-rhine:_
_insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4288/96] [via-
rhine:__insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/driv
ers/net+-4352/96] [do_exit+541/560] [kfree_skbmem+11/96] 
[__kfree_skb+288/304] [net_tx_action+82/176] [do_softirq+91/128]  
Aug 29 02:05:08 radius kernel:        [<c88154c3>] [<c8818f40>] 
[<c8818f00>] [<c0118a3d>] [<c01b829b>] [<c01b8410>] [<c01bc042>] [<c
0119a8b>]  
Aug 29 02:05:08 radius kernel:        [<c010a4bf>] [<c01090c4>] 
[<c0109138>] [<c0118a3d>] [<c020abbb>] [<c020ad12>] [<c0100018>] [<c
0109536>]  
Aug 29 02:05:08 radius kernel:        [do_invalid_op+0/144] 
[do_invalid_op+129/144] [via-rhine:__insmod_via-rhine_O/lib/modules/2.4.
2-2/kernel/drivers/net+-19261/96] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4288/96] [via-rhine:__insm
od_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4352/96] 
[do_exit+541/560] [kfree_skbmem+11/96] [__kfree_skb+288/304]  
Aug 29 02:05:08 radius kernel:        [<c0109770>] [<c01097f1>] 
[<c88154c3>] [<c8818f40>] [<c8818f00>] [<c0118a3d>] [<c01b829b>] [<c
01b8410>]  
Aug 29 02:05:08 radius kernel:        [net_tx_action+82/176] 
[do_softirq+91/128] [do_IRQ+159/176] [ret_from_intr+0/32] [error_code+5
2/60] [do_exit+541/560] [error_table+10723/46744] 
[error_table+11066/46744]  
Aug 29 02:05:08 radius kernel:        [<c01bc042>] [<c0119a8b>] 
[<c010a4bf>] [<c01090c4>] [<c0109138>] [<c0118a3d>] [<c020abbb>] [<c
020ad12>]  
Aug 29 02:05:08 radius kernel:        [startup_32+24/313] [die+70/80] 
[do_invalid_op+0/144] [do_invalid_op+129/144] [via-rhine:__ins
mod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-19261/96] [via-
rhine:__insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers
/net+-4288/96] [via-rhine:__insmod_via-rhine_O/lib/modules/2.4.2-
2/kernel/drivers/net+-4352/96] [do_exit+541/560]  
Aug 29 02:05:08 radius kernel:        [<c0100018>] [<c0109536>] 
[<c0109770>] [<c01097f1>] [<c88154c3>] [<c8818f40>] [<c8818f00>] [<c
0118a3d>]  
Aug 29 02:05:08 radius kernel:        [kfree_skbmem+11/96] 
[__kfree_skb+288/304] [net_tx_action+82/176] [do_softirq+91/128] [do_IRQ+
159/176] [ret_from_intr+0/32] [error_code+52/60] [do_exit+541/560]  
Aug 29 02:05:08 radius kernel:        [<c01b829b>] [<c01b8410>] 
[<c01bc042>] [<c0119a8b>] [<c010a4bf>] [<c01090c4>] [<c0109138>] [<c
0118a3d>]  
Aug 29 02:05:08 radius kernel:        [error_table+10723/46744] 
[error_table+11066/46744] [startup_32+24/313] [die+70/80] [do_invali
d_op+0/144] [do_invalid_op+129/144] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-19261/96] [via-rhine:__i
nsmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4288/96]  
Aug 29 02:05:08 radius kernel:        [<c020abbb>] [<c020ad12>] 
[<c0100018>] [<c0109536>] [<c0109770>] [<c01097f1>] [<c88154c3>] [<c
8818f40>]  
Aug 29 02:05:08 radius kernel:        [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4352/96] [do_exit+541/
560] [kfree_skbmem+11/96] [__kfree_skb+288/304] [net_tx_action+82/176] 
[do_softirq+91/128] [do_IRQ+159/176] [ret_from_intr+0/32]  
Aug 29 02:05:08 radius kernel:        [<c8818f00>] [<c0118a3d>] 
[<c01b829b>] [<c01b8410>] [<c01bc042>] [<c0119a8b>] [<c010a4bf>] [<c
01090c4>]  
Aug 29 02:05:08 radius kernel:        [error_code+52/60] [do_exit+541/560] 
[error_table+10723/46744] [error_table+11066/46744] [star
tup_32+24/313] [die+70/80] [do_invalid_op+0/144] [do_invalid_op+129/144]  
Aug 29 02:05:08 radius kernel:        [<c0109138>] [<c0118a3d>] 
[<c020abbb>] [<c020ad12>] [<c0100018>] [<c0109536>] [<c0109770>] [<c
01097f1>]  
Aug 29 02:05:08 radius kernel:        [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-19261/96] [via-rhine:_
_insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4288/96] [via-
rhine:__insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/driv
ers/net+-4352/96] [do_exit+541/560] [kfree_skbmem+11/96]   
[__free_pages_ok+75/848] [error_table+26787/46744] [error_table+27313/467
44] [schedule+625/944] [free_shortage+30/144] [page_launder+1541/2432] 
[process_timeout+0/80] [free_shortage+30/144]  
Aug 29 02:05:08 radius kernel:   [<c012d07b>] [<c020ea7b>] [<c020ec89>] 
[<c0113c31>] [<c012c88e>] [<c012c375>] [<c01138b0>] [<c012c8
8e>]  
Aug 29 02:05:08 radius kernel:        [do_try_to_free_pages+53/128] 
[kswapd+123/288] [empty_bad_page+0/4096] [empty_bad_page+0/4096]
 [kernel_thread+38/48] [kswapd+0/288]  
Aug 29 02:05:08 radius kernel:        [<c012ca85>] [<c012cb4b>] 
[<c0105000>] [<c0105000>] [<c0107596>] [<c012cad0>]  
Aug 29 02:05:08 radius kernel:  
Aug 29 02:05:08 radius kernel: Code: 0f 0b 83 c4 0c e9 3a fe ff ff 89 f6 
8d bc 27 00 00 00 00 8b  
Aug 29 02:05:08 radius kernel: kernel BUG at exit.c:465! 
Aug 29 02:05:08radius kernel: invalid operand: 0000 
Aug 29 02:05:08 radius kernel: CPU:    0 
Aug 29 02:05:08 radius kernel: EIP:    0010:[do_exit+541/560] 
Aug 29 02:05:08 radius kernel: EIP:    0010:[<c0118a3d>] 
Aug 29 02:05:08 radius kernel: EFLAGS: 00010282 
Aug 29 02:05:09 radius kernel: eax: 0000001a   ebx: 00000000   ecx: 
00000001   edx: c02575a4 
Aug 29 02:05:09 radius kernel: ds: 0018   es: 0018   ss: 0018 
Aug 29 02:05:09 radius kernel: Process kswapd (pid: 4, stackpage=c1245000) 
Aug 29 02:05:09 radius kernel:        c8818f40 00000000 00000004 c8818f00 
c73d8000 00000000 00000004 00000000  
Aug 29 02:05:09 radius kernel: Call Trace: [error_table+10723/46744] 
[error_table+11066/46744] [startup_32+24/313] [die+70/80] [do_i
nvalid_op+0/144] [do_invalid_op+129/144] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-19261/96]  
Aug 29 02:05:09 radius kernel:        [<c8818f40>] [<c8818f00>] 
[<c0118a3d>] [<c01b829b>] [<c01b8410>] [<c01bc042>] [<c0119a8b>] [<c
010a4bf>]  
Aug 29 02:05:09 radius kernel:        [ret_from_intr+0/32] 
[error_code+52/60] [do_exit+541/560] [error_table+10723/46744] [error_tab
le+11066/46744] [startup_32+24/313] [die+70/80] [do_invalid_op+0/144]  
Aug 29 02:05:09 radius kernel:        [<c01090c4>] [<c0109138>] 
[<c0118a3d>] [<c020abbb>] [<c020ad12>] [<c0100018>] [<c0109536>] [<c
0109770>]  
Aug 29 02:05:09 radius kernel:        [do_invalid_op+129/144] [via-
rhine:__insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net
+-19261/96] [via-rhine:__insmod_via-rhine_O/lib/modules/2.4.2-
2/kernel/drivers/net+-4288/96] [via-rhine:__insmod_via-rhine_O/lib/mod
ules/2.4.2-2/kernel/drivers/net+-4352/96] [do_exit+541/560] 
[kfree_skbmem+11/96] [__kfree_skb+288/304] [net_tx_action+82/176]  
Aug 29 02:05:09 radius kernel:        [<c01097f1>] [<c88154c3>] 
[<c8818f40>] [<c8818f00>] [<c0118a3d>] [<c01b829b>] [<c01b8410>] [<c
01bc042>]  
Aug 29 02:05:09 radius kernel:        [do_softirq+91/128] [do_IRQ+159/176] 
[ret_from_intr+0/32] [error_code+52/60] [do_exit+541/560]
 [error_table+10723/46744] [error_table+11066/46744] [startup_32+24/313]  
Aug 29 02:05:09 radius kernel:        [<c0119a8b>] [<c010a4bf>] 
[<c01090c4>] [<c0109138>] [<c0118a3d>] [<c020abbb>] [<c020ad12>] [<c
0100018>]  
Aug 29 02:05:09 radius kernel:        [die+70/80] [do_invalid_op+0/144] 
[do_invalid_op+129/144] [via-rhine:__insmod_via-rhine_O/lib/
modules/2.4.2-2/kernel/drivers/net+-19261/96] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4288/96] [via-
rhine:__insmod_via-rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-
4352/96] [do_exit+541/560] [kfree_skbmem+11/96]  
Aug 29 02:05:09 radius kernel:        [<c0109536>] [<c0109770>] 
[<c01097f1>] [<c88154c3>] [<c8818f40>] [<c8818f00>] [<c0118a3d>] [<c
01b829b>]  
Aug 29 02:05:09 radius kernel:        [__kfree_skb+288/304] 
[net_tx_action+82/176] [do_softirq+91/128] [do_IRQ+159/176] [ret_from_in
tr+0/32] [error_code+52/60] [do_exit+541/560] [error_table+10723/46744]  
Aug 29 02:05:09 radius kernel:        [<c01b8410>] [<c01bc042>] 
[<c0119a8b>] [<c010a4bf>] [<c01090c4>] [<c0109138>] [<c0118a3d>] [<c
020abbb>]  
Aug 29 02:05:09 radius kernel:        [error_table+11066/46744] 
[startup_32+24/313] [die+70/80] [do_invalid_op+0/144] [do_invalid_op
+129/144] [via-rhine:__insmod_via-rhine_O/lib/modules/2.4.2-
2/kernel/drivers/net+-19261/96] [via-rhine:__insmod_via-rhine_O/lib/modu
les/2.4.2-2/kernel/drivers/net+-4288/96] [via-rhine:__insmod_via-
rhine_O/lib/modules/2.4.2-2/kernel/drivers/net+-4352/96]  
Aug 29 02:05:09 radius kernel:        [<c020ad12>] [<c0100018>] 
[<c0109536>] [<c0109770>] [<c01097f1>] [<c88154c3>] [<c8818f40>] [<c
8818f00>]  
Aug 29 02:05:09 radius kernel:        [do_exit+541/560] 
[kfree_skbmem+11/96] [__kfree_skb+288/304] [net_tx_action+82/176] 
[do_softir
q+91/128] [do_IRQ+159/176] [ret_from_intr+0/32] [error_code+52/60]  
Aug 29 02:10:00 triton CROND[3826]: (root) CMD (run-
parts /etc/cron.hourly) 
Aug 29 02:10:00 triton CROND[3828]: (root) CMD (   /sbin/rmmod -as) 
Aug 29 02:12:29 triton PAM_pwdb[3297]: (sshd) session closed for user root
Aug 29 02:12:33 triton sshd[3833]: Accepted password for ROOT from 
192.168.0.6 port 2456
Aug 29 02:12:33 triton sshd[3833]: packet_set_maxsize: setting to 4096
Aug 29 02:12:33 triton PAM_pwdb[3833]: (sshd) session opened for user root 
by (uid=0)
Aug 29 02:20:00 triton CROND[3863]: (root) CMD (   /sbin/rmmod -as) 
Aug 29 02:22:19 triton PAM_pwdb[3833]: (sshd) session closed for user root
Aug 29 02:22:24 triton PAM_pwdb[3768]: (sshd) session closed for user root
Aug 29 02:30:00 triton CROND[3866]: (root) CMD (run-parts /MODULES) 
Aug 29 02:30:00 triton CROND[3868]: (root) CMD (   /sbin/rmmod -as) 
Aug 29 02:30:59 triton sendmail[3879]: f7T6UjB03879: from=root, size=502, 
class=0, nrcpts=1, msgid=<200108290630.f7T6UjB03879@triton
.directserv.net>, relay=root@localhost
Comment 1 Arjan van de Ven 2001-08-29 10:09:42 EDT
Are you using the nvidia kernel driver by chance ?
Comment 2 Arjan van de Ven 2001-08-30 10:46:57 EDT
Ok I think I found+fixed it;
there is an updated kernel with the fix at
http://people.redhat.com/arjanv/testkernels
with version 2.4.3-18
Comment 3 Alan Cox 2002-12-15 23:33:25 EST
No further reply, closing

Note You need to log in before you can comment on or make changes to this bug.